[arch-commits] Commit in id3/trunk (PKGBUILD id3-0.78-gcc44.patch)
Giovanni Scafora
giovanni at archlinux.org
Sat Jun 13 14:28:41 UTC 2009
Date: Saturday, June 13, 2009 @ 10:28:41
Author: giovanni
Revision: 42385
upgpkg: id3 0.78-2
Fixed FS15080
Added:
id3/trunk/id3-0.78-gcc44.patch
Modified:
id3/trunk/PKGBUILD
----------------------+
PKGBUILD | 25 ++++++++++++++-----------
id3-0.78-gcc44.patch | 29 +++++++++++++++++++++++++++++
2 files changed, 43 insertions(+), 11 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-06-13 14:03:17 UTC (rev 42384)
+++ PKGBUILD 2009-06-13 14:28:41 UTC (rev 42385)
@@ -1,24 +1,27 @@
# $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
# Contributor: Jochem Kossen <j.kossen at home.nl>
pkgname=id3
pkgver=0.78
-pkgrel=1
+pkgrel=2
pkgdesc="Utility to edit id3v1 and id3v2 tags"
arch=('i686' 'x86_64')
license=('custom')
-source=(http://home.wanadoo.nl/squell/files/$pkgname-$pkgver.tar.gz)
+depends=('gcc-libs')
+source=(http://home.wanadoo.nl/squell/files/${pkgname}-${pkgver}.tar.gz
+ id3-0.78-gcc44.patch)
url="http://home.wanadoo.nl/squell/id3.html"
-md5sums=('bbc2a5d8022006330e6bb51034fafb43')
-sha1sums=('3858d239d17efa496a77f694a0c000d1629a3aaa')
+md5sums=('bbc2a5d8022006330e6bb51034fafb43'
+ '51370be8d2624efee3683efab608a7f1')
build() {
- cd $startdir/src/$pkgname-$pkgver
- make || return 1
- make prefix=$startdir/pkg/usr install
+ cd ${srcdir}/${pkgname}-${pkgver}
+ patch -Np1 -i ${srcdir}/id3-0.78-gcc44.patch || return 1
+ make || return 1
+ make prefix=${pkgdir}/usr mandir=${pkgdir}/usr/share/man install
- #install license
- mkdir -p $startdir/pkg/usr/share/licenses/$pkgname
- install COPYING $startdir/pkg/usr/share/licenses/$pkgname/
+ #install license
+ install -Dm644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
+
Added: id3-0.78-gcc44.patch
===================================================================
--- id3-0.78-gcc44.patch (rev 0)
+++ id3-0.78-gcc44.patch 2009-06-13 14:28:41 UTC (rev 42385)
@@ -0,0 +1,29 @@
+--- a/charconv.cpp 2006-02-14 16:44:58.000000000 -0500
++++ b/charconv.cpp 2009-06-12 17:59:54.332486433 -0400
+@@ -5,6 +5,7 @@
+ #include <cstdlib>
+ #include <clocale>
+ #include <climits>
++#include <cstring>
+ #if defined(__STDC_ISO_10646__) || defined(__WIN32__)
+ # include <wchar.h>
+ # define fallback(call) (0)
+--- a/getid3v2.cpp 2006-02-10 22:23:14.000000000 -0500
++++ b/getid3v2.cpp 2009-06-12 18:06:49.582446332 -0400
+@@ -1,5 +1,6 @@
+ #include <vector>
+ #include <cstdio>
++#include <cstring>
+ #include "char_ucs.h"
+ #include "id3v2.h"
+ #include "getid3v2.h"
+--- a/setfname.cpp 2006-03-19 06:13:36.000000000 -0500
++++ b/setfname.cpp 2009-06-12 18:09:35.759097380 -0400
+@@ -1,6 +1,7 @@
+ #include <cstdio>
+ #include <cctype>
+ #include <ctime> // borland needs this
++#include <cstring>
+ #include <sys/stat.h>
+ #include <utime.h>
+ #if defined(__WIN32__)
More information about the arch-commits
mailing list